Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network190.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
190.0.0.0
Broadcast address
190.255.255.255
First usable
190.0.0.1
Last usable
190.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
B (default /16)
As numbers
Hex BE000000 · Integer 3187671040 to 3204448255
Reverse DNS zone
190.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10111110..00000000.00000000.00000000190.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network10111110..00000000.00000000.00000000190.0.0.0
Broadcast10111110..11111111.11111111.11111111190.255.255.255
Split into smaller subnets/19

190.0.0.0/8 makes 2,048 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1190.0.0.0/19190.0.0.1 to 190.0.31.254190.0.31.2558,190
2190.0.32.0/19190.0.32.1 to 190.0.63.254190.0.63.2558,190
3190.0.64.0/19190.0.64.1 to 190.0.95.254190.0.95.2558,190
4190.0.96.0/19190.0.96.1 to 190.0.127.254190.0.127.2558,190
5190.0.128.0/19190.0.128.1 to 190.0.159.254190.0.159.2558,190
6190.0.160.0/19190.0.160.1 to 190.0.191.254190.0.191.2558,190
7190.0.192.0/19190.0.192.1 to 190.0.223.254190.0.223.2558,190
8190.0.224.0/19190.0.224.1 to 190.0.255.254190.0.255.2558,190
9190.1.0.0/19190.1.0.1 to 190.1.31.254190.1.31.2558,190
10190.1.32.0/19190.1.32.1 to 190.1.63.254190.1.63.2558,190
11190.1.64.0/19190.1.64.1 to 190.1.95.254190.1.95.2558,190
12190.1.96.0/19190.1.96.1 to 190.1.127.254190.1.127.2558,190
13190.1.128.0/19190.1.128.1 to 190.1.159.254190.1.159.2558,190
14190.1.160.0/19190.1.160.1 to 190.1.191.254190.1.191.2558,190
15190.1.192.0/19190.1.192.1 to 190.1.223.254190.1.223.2558,190
16190.1.224.0/19190.1.224.1 to 190.1.255.254190.1.255.2558,190
17190.2.0.0/19190.2.0.1 to 190.2.31.254190.2.31.2558,190
18190.2.32.0/19190.2.32.1 to 190.2.63.254190.2.63.2558,190
19190.2.64.0/19190.2.64.1 to 190.2.95.254190.2.95.2558,190
20190.2.96.0/19190.2.96.1 to 190.2.127.254190.2.127.2558,190
21190.2.128.0/19190.2.128.1 to 190.2.159.254190.2.159.2558,190
22190.2.160.0/19190.2.160.1 to 190.2.191.254190.2.191.2558,190
23190.2.192.0/19190.2.192.1 to 190.2.223.254190.2.223.2558,190
24190.2.224.0/19190.2.224.1 to 190.2.255.254190.2.255.2558,190
25190.3.0.0/19190.3.0.1 to 190.3.31.254190.3.31.2558,190
26190.3.32.0/19190.3.32.1 to 190.3.63.254190.3.63.2558,190
27190.3.64.0/19190.3.64.1 to 190.3.95.254190.3.95.2558,190
28190.3.96.0/19190.3.96.1 to 190.3.127.254190.3.127.2558,190
29190.3.128.0/19190.3.128.1 to 190.3.159.254190.3.159.2558,190
30190.3.160.0/19190.3.160.1 to 190.3.191.254190.3.191.2558,190
31190.3.192.0/19190.3.192.1 to 190.3.223.254190.3.223.2558,190
32190.3.224.0/19190.3.224.1 to 190.3.255.254190.3.255.2558,190
33190.4.0.0/19190.4.0.1 to 190.4.31.254190.4.31.2558,190
34190.4.32.0/19190.4.32.1 to 190.4.63.254190.4.63.2558,190
35190.4.64.0/19190.4.64.1 to 190.4.95.254190.4.95.2558,190
36190.4.96.0/19190.4.96.1 to 190.4.127.254190.4.127.2558,190
37190.4.128.0/19190.4.128.1 to 190.4.159.254190.4.159.2558,190
38190.4.160.0/19190.4.160.1 to 190.4.191.254190.4.191.2558,190
39190.4.192.0/19190.4.192.1 to 190.4.223.254190.4.223.2558,190
40190.4.224.0/19190.4.224.1 to 190.4.255.254190.4.255.2558,190
41190.5.0.0/19190.5.0.1 to 190.5.31.254190.5.31.2558,190
42190.5.32.0/19190.5.32.1 to 190.5.63.254190.5.63.2558,190
43190.5.64.0/19190.5.64.1 to 190.5.95.254190.5.95.2558,190
44190.5.96.0/19190.5.96.1 to 190.5.127.254190.5.127.2558,190
45190.5.128.0/19190.5.128.1 to 190.5.159.254190.5.159.2558,190
46190.5.160.0/19190.5.160.1 to 190.5.191.254190.5.191.2558,190
47190.5.192.0/19190.5.192.1 to 190.5.223.254190.5.223.2558,190
48190.5.224.0/19190.5.224.1 to 190.5.255.254190.5.255.2558,190
49190.6.0.0/19190.6.0.1 to 190.6.31.254190.6.31.2558,190
50190.6.32.0/19190.6.32.1 to 190.6.63.254190.6.63.2558,190
51190.6.64.0/19190.6.64.1 to 190.6.95.254190.6.95.2558,190
52190.6.96.0/19190.6.96.1 to 190.6.127.254190.6.127.2558,190
53190.6.128.0/19190.6.128.1 to 190.6.159.254190.6.159.2558,190
54190.6.160.0/19190.6.160.1 to 190.6.191.254190.6.191.2558,190
55190.6.192.0/19190.6.192.1 to 190.6.223.254190.6.223.2558,190
56190.6.224.0/19190.6.224.1 to 190.6.255.254190.6.255.2558,190
57190.7.0.0/19190.7.0.1 to 190.7.31.254190.7.31.2558,190
58190.7.32.0/19190.7.32.1 to 190.7.63.254190.7.63.2558,190
59190.7.64.0/19190.7.64.1 to 190.7.95.254190.7.95.2558,190
60190.7.96.0/19190.7.96.1 to 190.7.127.254190.7.127.2558,190
61190.7.128.0/19190.7.128.1 to 190.7.159.254190.7.159.2558,190
62190.7.160.0/19190.7.160.1 to 190.7.191.254190.7.191.2558,190
63190.7.192.0/19190.7.192.1 to 190.7.223.254190.7.223.2558,190
64190.7.224.0/19190.7.224.1 to 190.7.255.254190.7.255.2558,190
65190.8.0.0/19190.8.0.1 to 190.8.31.254190.8.31.2558,190
66190.8.32.0/19190.8.32.1 to 190.8.63.254190.8.63.2558,190
67190.8.64.0/19190.8.64.1 to 190.8.95.254190.8.95.2558,190
68190.8.96.0/19190.8.96.1 to 190.8.127.254190.8.127.2558,190
69190.8.128.0/19190.8.128.1 to 190.8.159.254190.8.159.2558,190
70190.8.160.0/19190.8.160.1 to 190.8.191.254190.8.191.2558,190
71190.8.192.0/19190.8.192.1 to 190.8.223.254190.8.223.2558,190
72190.8.224.0/19190.8.224.1 to 190.8.255.254190.8.255.2558,190
73190.9.0.0/19190.9.0.1 to 190.9.31.254190.9.31.2558,190
74190.9.32.0/19190.9.32.1 to 190.9.63.254190.9.63.2558,190
75190.9.64.0/19190.9.64.1 to 190.9.95.254190.9.95.2558,190
76190.9.96.0/19190.9.96.1 to 190.9.127.254190.9.127.2558,190
77190.9.128.0/19190.9.128.1 to 190.9.159.254190.9.159.2558,190
78190.9.160.0/19190.9.160.1 to 190.9.191.254190.9.191.2558,190
79190.9.192.0/19190.9.192.1 to 190.9.223.254190.9.223.2558,190
80190.9.224.0/19190.9.224.1 to 190.9.255.254190.9.255.2558,190
81190.10.0.0/19190.10.0.1 to 190.10.31.254190.10.31.2558,190
82190.10.32.0/19190.10.32.1 to 190.10.63.254190.10.63.2558,190
83190.10.64.0/19190.10.64.1 to 190.10.95.254190.10.95.2558,190
84190.10.96.0/19190.10.96.1 to 190.10.127.254190.10.127.2558,190
85190.10.128.0/19190.10.128.1 to 190.10.159.254190.10.159.2558,190
86190.10.160.0/19190.10.160.1 to 190.10.191.254190.10.191.2558,190
87190.10.192.0/19190.10.192.1 to 190.10.223.254190.10.223.2558,190
88190.10.224.0/19190.10.224.1 to 190.10.255.254190.10.255.2558,190
89190.11.0.0/19190.11.0.1 to 190.11.31.254190.11.31.2558,190
90190.11.32.0/19190.11.32.1 to 190.11.63.254190.11.63.2558,190
91190.11.64.0/19190.11.64.1 to 190.11.95.254190.11.95.2558,190
92190.11.96.0/19190.11.96.1 to 190.11.127.254190.11.127.2558,190
93190.11.128.0/19190.11.128.1 to 190.11.159.254190.11.159.2558,190
94190.11.160.0/19190.11.160.1 to 190.11.191.254190.11.191.2558,190
95190.11.192.0/19190.11.192.1 to 190.11.223.254190.11.223.2558,190
96190.11.224.0/19190.11.224.1 to 190.11.255.254190.11.255.2558,190
97190.12.0.0/19190.12.0.1 to 190.12.31.254190.12.31.2558,190
98190.12.32.0/19190.12.32.1 to 190.12.63.254190.12.63.2558,190
99190.12.64.0/19190.12.64.1 to 190.12.95.254190.12.95.2558,190
100190.12.96.0/19190.12.96.1 to 190.12.127.254190.12.127.2558,190
101190.12.128.0/19190.12.128.1 to 190.12.159.254190.12.159.2558,190
102190.12.160.0/19190.12.160.1 to 190.12.191.254190.12.191.2558,190
103190.12.192.0/19190.12.192.1 to 190.12.223.254190.12.223.2558,190
104190.12.224.0/19190.12.224.1 to 190.12.255.254190.12.255.2558,190
105190.13.0.0/19190.13.0.1 to 190.13.31.254190.13.31.2558,190
106190.13.32.0/19190.13.32.1 to 190.13.63.254190.13.63.2558,190
107190.13.64.0/19190.13.64.1 to 190.13.95.254190.13.95.2558,190
108190.13.96.0/19190.13.96.1 to 190.13.127.254190.13.127.2558,190
109190.13.128.0/19190.13.128.1 to 190.13.159.254190.13.159.2558,190
110190.13.160.0/19190.13.160.1 to 190.13.191.254190.13.191.2558,190
111190.13.192.0/19190.13.192.1 to 190.13.223.254190.13.223.2558,190
112190.13.224.0/19190.13.224.1 to 190.13.255.254190.13.255.2558,190
113190.14.0.0/19190.14.0.1 to 190.14.31.254190.14.31.2558,190
114190.14.32.0/19190.14.32.1 to 190.14.63.254190.14.63.2558,190
115190.14.64.0/19190.14.64.1 to 190.14.95.254190.14.95.2558,190
116190.14.96.0/19190.14.96.1 to 190.14.127.254190.14.127.2558,190
117190.14.128.0/19190.14.128.1 to 190.14.159.254190.14.159.2558,190
118190.14.160.0/19190.14.160.1 to 190.14.191.254190.14.191.2558,190
119190.14.192.0/19190.14.192.1 to 190.14.223.254190.14.223.2558,190
120190.14.224.0/19190.14.224.1 to 190.14.255.254190.14.255.2558,190
121190.15.0.0/19190.15.0.1 to 190.15.31.254190.15.31.2558,190
122190.15.32.0/19190.15.32.1 to 190.15.63.254190.15.63.2558,190
123190.15.64.0/19190.15.64.1 to 190.15.95.254190.15.95.2558,190
124190.15.96.0/19190.15.96.1 to 190.15.127.254190.15.127.2558,190
125190.15.128.0/19190.15.128.1 to 190.15.159.254190.15.159.2558,190
126190.15.160.0/19190.15.160.1 to 190.15.191.254190.15.191.2558,190
127190.15.192.0/19190.15.192.1 to 190.15.223.254190.15.223.2558,190
128190.15.224.0/19190.15.224.1 to 190.15.255.254190.15.255.2558,190
129190.16.0.0/19190.16.0.1 to 190.16.31.254190.16.31.2558,190
130190.16.32.0/19190.16.32.1 to 190.16.63.254190.16.63.2558,190
131190.16.64.0/19190.16.64.1 to 190.16.95.254190.16.95.2558,190
132190.16.96.0/19190.16.96.1 to 190.16.127.254190.16.127.2558,190
133190.16.128.0/19190.16.128.1 to 190.16.159.254190.16.159.2558,190
134190.16.160.0/19190.16.160.1 to 190.16.191.254190.16.191.2558,190
135190.16.192.0/19190.16.192.1 to 190.16.223.254190.16.223.2558,190
136190.16.224.0/19190.16.224.1 to 190.16.255.254190.16.255.2558,190
137190.17.0.0/19190.17.0.1 to 190.17.31.254190.17.31.2558,190
138190.17.32.0/19190.17.32.1 to 190.17.63.254190.17.63.2558,190
139190.17.64.0/19190.17.64.1 to 190.17.95.254190.17.95.2558,190
140190.17.96.0/19190.17.96.1 to 190.17.127.254190.17.127.2558,190
141190.17.128.0/19190.17.128.1 to 190.17.159.254190.17.159.2558,190
142190.17.160.0/19190.17.160.1 to 190.17.191.254190.17.191.2558,190
143190.17.192.0/19190.17.192.1 to 190.17.223.254190.17.223.2558,190
144190.17.224.0/19190.17.224.1 to 190.17.255.254190.17.255.2558,190
145190.18.0.0/19190.18.0.1 to 190.18.31.254190.18.31.2558,190
146190.18.32.0/19190.18.32.1 to 190.18.63.254190.18.63.2558,190
147190.18.64.0/19190.18.64.1 to 190.18.95.254190.18.95.2558,190
148190.18.96.0/19190.18.96.1 to 190.18.127.254190.18.127.2558,190
149190.18.128.0/19190.18.128.1 to 190.18.159.254190.18.159.2558,190
150190.18.160.0/19190.18.160.1 to 190.18.191.254190.18.191.2558,190
151190.18.192.0/19190.18.192.1 to 190.18.223.254190.18.223.2558,190
152190.18.224.0/19190.18.224.1 to 190.18.255.254190.18.255.2558,190
153190.19.0.0/19190.19.0.1 to 190.19.31.254190.19.31.2558,190
154190.19.32.0/19190.19.32.1 to 190.19.63.254190.19.63.2558,190
155190.19.64.0/19190.19.64.1 to 190.19.95.254190.19.95.2558,190
156190.19.96.0/19190.19.96.1 to 190.19.127.254190.19.127.2558,190
157190.19.128.0/19190.19.128.1 to 190.19.159.254190.19.159.2558,190
158190.19.160.0/19190.19.160.1 to 190.19.191.254190.19.191.2558,190
159190.19.192.0/19190.19.192.1 to 190.19.223.254190.19.223.2558,190
160190.19.224.0/19190.19.224.1 to 190.19.255.254190.19.255.2558,190
161190.20.0.0/19190.20.0.1 to 190.20.31.254190.20.31.2558,190
162190.20.32.0/19190.20.32.1 to 190.20.63.254190.20.63.2558,190
163190.20.64.0/19190.20.64.1 to 190.20.95.254190.20.95.2558,190
164190.20.96.0/19190.20.96.1 to 190.20.127.254190.20.127.2558,190
165190.20.128.0/19190.20.128.1 to 190.20.159.254190.20.159.2558,190
166190.20.160.0/19190.20.160.1 to 190.20.191.254190.20.191.2558,190
167190.20.192.0/19190.20.192.1 to 190.20.223.254190.20.223.2558,190
168190.20.224.0/19190.20.224.1 to 190.20.255.254190.20.255.2558,190
169190.21.0.0/19190.21.0.1 to 190.21.31.254190.21.31.2558,190
170190.21.32.0/19190.21.32.1 to 190.21.63.254190.21.63.2558,190
171190.21.64.0/19190.21.64.1 to 190.21.95.254190.21.95.2558,190
172190.21.96.0/19190.21.96.1 to 190.21.127.254190.21.127.2558,190
173190.21.128.0/19190.21.128.1 to 190.21.159.254190.21.159.2558,190
174190.21.160.0/19190.21.160.1 to 190.21.191.254190.21.191.2558,190
175190.21.192.0/19190.21.192.1 to 190.21.223.254190.21.223.2558,190
176190.21.224.0/19190.21.224.1 to 190.21.255.254190.21.255.2558,190
177190.22.0.0/19190.22.0.1 to 190.22.31.254190.22.31.2558,190
178190.22.32.0/19190.22.32.1 to 190.22.63.254190.22.63.2558,190
179190.22.64.0/19190.22.64.1 to 190.22.95.254190.22.95.2558,190
180190.22.96.0/19190.22.96.1 to 190.22.127.254190.22.127.2558,190
181190.22.128.0/19190.22.128.1 to 190.22.159.254190.22.159.2558,190
182190.22.160.0/19190.22.160.1 to 190.22.191.254190.22.191.2558,190
183190.22.192.0/19190.22.192.1 to 190.22.223.254190.22.223.2558,190
184190.22.224.0/19190.22.224.1 to 190.22.255.254190.22.255.2558,190
185190.23.0.0/19190.23.0.1 to 190.23.31.254190.23.31.2558,190
186190.23.32.0/19190.23.32.1 to 190.23.63.254190.23.63.2558,190
187190.23.64.0/19190.23.64.1 to 190.23.95.254190.23.95.2558,190
188190.23.96.0/19190.23.96.1 to 190.23.127.254190.23.127.2558,190
189190.23.128.0/19190.23.128.1 to 190.23.159.254190.23.159.2558,190
190190.23.160.0/19190.23.160.1 to 190.23.191.254190.23.191.2558,190
191190.23.192.0/19190.23.192.1 to 190.23.223.254190.23.223.2558,190
192190.23.224.0/19190.23.224.1 to 190.23.255.254190.23.255.2558,190
193190.24.0.0/19190.24.0.1 to 190.24.31.254190.24.31.2558,190
194190.24.32.0/19190.24.32.1 to 190.24.63.254190.24.63.2558,190
195190.24.64.0/19190.24.64.1 to 190.24.95.254190.24.95.2558,190
196190.24.96.0/19190.24.96.1 to 190.24.127.254190.24.127.2558,190
197190.24.128.0/19190.24.128.1 to 190.24.159.254190.24.159.2558,190
198190.24.160.0/19190.24.160.1 to 190.24.191.254190.24.191.2558,190
199190.24.192.0/19190.24.192.1 to 190.24.223.254190.24.223.2558,190
200190.24.224.0/19190.24.224.1 to 190.24.255.254190.24.255.2558,190
201190.25.0.0/19190.25.0.1 to 190.25.31.254190.25.31.2558,190
202190.25.32.0/19190.25.32.1 to 190.25.63.254190.25.63.2558,190
203190.25.64.0/19190.25.64.1 to 190.25.95.254190.25.95.2558,190
204190.25.96.0/19190.25.96.1 to 190.25.127.254190.25.127.2558,190
205190.25.128.0/19190.25.128.1 to 190.25.159.254190.25.159.2558,190
206190.25.160.0/19190.25.160.1 to 190.25.191.254190.25.191.2558,190
207190.25.192.0/19190.25.192.1 to 190.25.223.254190.25.223.2558,190
208190.25.224.0/19190.25.224.1 to 190.25.255.254190.25.255.2558,190
209190.26.0.0/19190.26.0.1 to 190.26.31.254190.26.31.2558,190
210190.26.32.0/19190.26.32.1 to 190.26.63.254190.26.63.2558,190
211190.26.64.0/19190.26.64.1 to 190.26.95.254190.26.95.2558,190
212190.26.96.0/19190.26.96.1 to 190.26.127.254190.26.127.2558,190
213190.26.128.0/19190.26.128.1 to 190.26.159.254190.26.159.2558,190
214190.26.160.0/19190.26.160.1 to 190.26.191.254190.26.191.2558,190
215190.26.192.0/19190.26.192.1 to 190.26.223.254190.26.223.2558,190
216190.26.224.0/19190.26.224.1 to 190.26.255.254190.26.255.2558,190
217190.27.0.0/19190.27.0.1 to 190.27.31.254190.27.31.2558,190
218190.27.32.0/19190.27.32.1 to 190.27.63.254190.27.63.2558,190
219190.27.64.0/19190.27.64.1 to 190.27.95.254190.27.95.2558,190
220190.27.96.0/19190.27.96.1 to 190.27.127.254190.27.127.2558,190
221190.27.128.0/19190.27.128.1 to 190.27.159.254190.27.159.2558,190
222190.27.160.0/19190.27.160.1 to 190.27.191.254190.27.191.2558,190
223190.27.192.0/19190.27.192.1 to 190.27.223.254190.27.223.2558,190
224190.27.224.0/19190.27.224.1 to 190.27.255.254190.27.255.2558,190
225190.28.0.0/19190.28.0.1 to 190.28.31.254190.28.31.2558,190
226190.28.32.0/19190.28.32.1 to 190.28.63.254190.28.63.2558,190
227190.28.64.0/19190.28.64.1 to 190.28.95.254190.28.95.2558,190
228190.28.96.0/19190.28.96.1 to 190.28.127.254190.28.127.2558,190
229190.28.128.0/19190.28.128.1 to 190.28.159.254190.28.159.2558,190
230190.28.160.0/19190.28.160.1 to 190.28.191.254190.28.191.2558,190
231190.28.192.0/19190.28.192.1 to 190.28.223.254190.28.223.2558,190
232190.28.224.0/19190.28.224.1 to 190.28.255.254190.28.255.2558,190
233190.29.0.0/19190.29.0.1 to 190.29.31.254190.29.31.2558,190
234190.29.32.0/19190.29.32.1 to 190.29.63.254190.29.63.2558,190
235190.29.64.0/19190.29.64.1 to 190.29.95.254190.29.95.2558,190
236190.29.96.0/19190.29.96.1 to 190.29.127.254190.29.127.2558,190
237190.29.128.0/19190.29.128.1 to 190.29.159.254190.29.159.2558,190
238190.29.160.0/19190.29.160.1 to 190.29.191.254190.29.191.2558,190
239190.29.192.0/19190.29.192.1 to 190.29.223.254190.29.223.2558,190
240190.29.224.0/19190.29.224.1 to 190.29.255.254190.29.255.2558,190
241190.30.0.0/19190.30.0.1 to 190.30.31.254190.30.31.2558,190
242190.30.32.0/19190.30.32.1 to 190.30.63.254190.30.63.2558,190
243190.30.64.0/19190.30.64.1 to 190.30.95.254190.30.95.2558,190
244190.30.96.0/19190.30.96.1 to 190.30.127.254190.30.127.2558,190
245190.30.128.0/19190.30.128.1 to 190.30.159.254190.30.159.2558,190
246190.30.160.0/19190.30.160.1 to 190.30.191.254190.30.191.2558,190
247190.30.192.0/19190.30.192.1 to 190.30.223.254190.30.223.2558,190
248190.30.224.0/19190.30.224.1 to 190.30.255.254190.30.255.2558,190
249190.31.0.0/19190.31.0.1 to 190.31.31.254190.31.31.2558,190
250190.31.32.0/19190.31.32.1 to 190.31.63.254190.31.63.2558,190
251190.31.64.0/19190.31.64.1 to 190.31.95.254190.31.95.2558,190
252190.31.96.0/19190.31.96.1 to 190.31.127.254190.31.127.2558,190
253190.31.128.0/19190.31.128.1 to 190.31.159.254190.31.159.2558,190
254190.31.160.0/19190.31.160.1 to 190.31.191.254190.31.191.2558,190
255190.31.192.0/19190.31.192.1 to 190.31.223.254190.31.223.2558,190
256190.31.224.0/19190.31.224.1 to 190.31.255.254190.31.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses